---
# This is the internal user database
# The hash value is a bcrypt hash and can be generated with
#   plugins/opensearch-security/tools/hash.sh -p <new-password>

_meta:
  type: "internalusers"
  config_version: 2

# Define your internal users here

bitergia:
  # password 'changeme'
  hash: "$2y$12$TywWcEhYAmm2W3bGYYobJeJTQISr8Ceh2BpBeehuVjHplsBpUDMKi"
  reserved: true
  backend_roles:
  - "admin"
  description: "admin user"

kibanaserver:
  # password 'changeme'
  hash: "$2y$12$TywWcEhYAmm2W3bGYYobJeJTQISr8Ceh2BpBeehuVjHplsBpUDMKi"
  reserved: true
  description: "kibanaserver user"

testuser:
  # password 'changeme'
  hash: "$2y$12$TywWcEhYAmm2W3bGYYobJeJTQISr8Ceh2BpBeehuVjHplsBpUDMKi"
  reserved: false
  backend_roles:
  - "kibanauser"
  - "readall"
  description: "kibanaro user"

readall:
  # password 'changeme'
  hash: "$2y$12$TywWcEhYAmm2W3bGYYobJeJTQISr8Ceh2BpBeehuVjHplsBpUDMKi"
  reserved: false
  backend_roles:
  - "readall"
  description: "readall user"

bitergiabackups:
  # password 'changeme'
  hash: "$2y$12$TywWcEhYAmm2W3bGYYobJeJTQISr8Ceh2BpBeehuVjHplsBpUDMKi"
  reserved: false
  backend_roles:
  - "snapshotrestore"
  description: "snapshotrestore user"
